# Uses of Class
org.springframework.beans.PropertyMatches

Packages that use PropertyMatches
Package
Description
org.springframework.beans
This package contains interfaces and classes for manipulating Java beans.

## Uses of PropertyMatches in org.springframework.beans

Methods in org.springframework.beans that return PropertyMatches
Modifier and Type
Method
Description
`static PropertyMatches`
PropertyMatches.`forField(String propertyName, Class<?> beanClass)`
Create PropertyMatches for the given field property.
`static PropertyMatches`
PropertyMatches.`forField(String propertyName, Class<?> beanClass, int maxDistance)`
Create PropertyMatches for the given field property.
`static PropertyMatches`
PropertyMatches.`forProperty(String propertyName, Class<?> beanClass)`
Create PropertyMatches for the given bean property.
`static PropertyMatches`
PropertyMatches.`forProperty(String propertyName, Class<?> beanClass, int maxDistance)`
Create PropertyMatches for the given bean property.